import { Dimensions, PixelRatio } from 'react-native';
const {
  width,
  height
} = Dimensions.get('window');
const DESIGNED_DEVICE_WIDTH = 360;

const createScaleFactor = function () {
  let deviceWidth = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : DESIGNED_DEVICE_WIDTH;
  const ratio = Math.min(width, height) / deviceWidth;
  return dp => PixelRatio.roundToNearestPixel(dp * ratio);
};

createScaleFactor.updateScaleFactor = scaleFactor => {
  DEFAULT_SCALE_FACTOR = scaleFactor;
};

export let DEFAULT_SCALE_FACTOR = createScaleFactor();
export default createScaleFactor;
//# sourceMappingURL=createScaleFactor.js.map