import React from 'react';
import { TouchableOpacityProps } from 'react-native';
import type { BaseHeaderProps } from '../../index';
import { TextProps } from '../Text';
declare type HeaderElement = string | React.ReactElement | null;
declare type HeaderProps = BaseHeaderProps<{
    title?: HeaderElement;
    left?: HeaderElement;
    right?: HeaderElement;
    onPressLeft?: () => void;
    onPressRight?: () => void;
}, {
    clearTitleMargin?: boolean;
}>;
declare const Header: React.FC<HeaderProps> & {
    Button: typeof HeaderButton;
    Title: typeof HeaderTitle;
    Subtitle: typeof HeaderSubtitle;
};
declare const HeaderTitle: React.FC<{
    children: string;
} & TextProps>;
declare const HeaderSubtitle: React.FC<{
    children: string;
} & TextProps>;
declare const HeaderButton: React.FC<TouchableOpacityProps & {
    color?: string;
}>;
export default Header;
